<?xml version="1.0" encoding="utf-8"?>
<xbrl
  xmlns="http://www.xbrl.org/2003/instance"
  xmlns:dei="http://xbrl.sec.gov/dei/2024"
  xmlns:link="http://www.xbrl.org/2003/linkbase"
  xmlns:xlink="http://www.w3.org/1999/xlink">
    <link:schemaRef xlink:href="fbiz-20250430.xsd" xlink:type="simple"/>
    <context id="C_68d7a296-416b-4b26-9eba-7df8e31b2706">
        <entity>
            <identifier scheme="http://www.sec.gov/CIK">0001521951</identifier>
        </entity>
        <period>
            <startDate>2025-04-30</startDate>
            <endDate>2025-04-30</endDate>
        </period>
    </context>
    <dei:AmendmentFlag
      contextRef="C_68d7a296-416b-4b26-9eba-7df8e31b2706"
      id="F_4d707730-1483-4cc7-8e78-07a9117aa4a1">false</dei:AmendmentFlag>
    <dei:EntityCentralIndexKey
      contextRef="C_68d7a296-416b-4b26-9eba-7df8e31b2706"
      id="F_27566284-8e88-4c48-b9ef-e115fdcb446b">0001521951</dei:EntityCentralIndexKey>
    <dei:DocumentType
      contextRef="C_68d7a296-416b-4b26-9eba-7df8e31b2706"
      id="F_70739f16-3c53-4b9e-b507-f8172dd699cb">8-K</dei:DocumentType>
    <dei:DocumentPeriodEndDate
      contextRef="C_68d7a296-416b-4b26-9eba-7df8e31b2706"
      id="F_f49f6900-46a6-4c10-b83a-ffcfa22e8ba9">2025-04-30</dei:DocumentPeriodEndDate>
    <dei:EntityRegistrantName
      contextRef="C_68d7a296-416b-4b26-9eba-7df8e31b2706"
      id="F_fab6d6b1-93ea-4410-989f-9d3e038c8881">First Business Financial Services, Inc.</dei:EntityRegistrantName>
    <dei:EntityIncorporationStateCountryCode
      contextRef="C_68d7a296-416b-4b26-9eba-7df8e31b2706"
      id="F_13e01e21-d416-4493-bc9a-55b990ea9de3">WI</dei:EntityIncorporationStateCountryCode>
    <dei:EntityFileNumber
      contextRef="C_68d7a296-416b-4b26-9eba-7df8e31b2706"
      id="F_696ae4d9-88cd-4296-b943-f56f66fe4bdb">001-34095</dei:EntityFileNumber>
    <dei:EntityTaxIdentificationNumber
      contextRef="C_68d7a296-416b-4b26-9eba-7df8e31b2706"
      id="F_e6e7b2f7-7a50-4350-bf82-cffec99c3e74">39-1576570</dei:EntityTaxIdentificationNumber>
    <dei:EntityAddressAddressLine1
      contextRef="C_68d7a296-416b-4b26-9eba-7df8e31b2706"
      id="F_ebea070e-bf08-468d-ad53-2ff3cd9c7248">401 Charmany Drive</dei:EntityAddressAddressLine1>
    <dei:EntityAddressCityOrTown
      contextRef="C_68d7a296-416b-4b26-9eba-7df8e31b2706"
      id="F_8e328d5f-5d1c-4664-aef3-e0bf5044d471">Madison</dei:EntityAddressCityOrTown>
    <dei:EntityAddressStateOrProvince
      contextRef="C_68d7a296-416b-4b26-9eba-7df8e31b2706"
      id="F_4dddd39e-e100-4ec7-a5a1-a8871553342e">WI</dei:EntityAddressStateOrProvince>
    <dei:EntityAddressPostalZipCode
      contextRef="C_68d7a296-416b-4b26-9eba-7df8e31b2706"
      id="F_85bb19a6-f5e7-4572-a123-267cf264a5be">53719</dei:EntityAddressPostalZipCode>
    <dei:CityAreaCode
      contextRef="C_68d7a296-416b-4b26-9eba-7df8e31b2706"
      id="F_5e1549ab-335c-4664-84b7-1b271f1fe4ca">608</dei:CityAreaCode>
    <dei:LocalPhoneNumber
      contextRef="C_68d7a296-416b-4b26-9eba-7df8e31b2706"
      id="F_13973e7d-7bdc-47cb-887d-86dcf0fef55b">238-8008</dei:LocalPhoneNumber>
    <dei:EntityInformationFormerLegalOrRegisteredName
      contextRef="C_68d7a296-416b-4b26-9eba-7df8e31b2706"
      id="F_378b63c0-5343-41d5-86d6-f2fc820b9b30">N/A</dei:EntityInformationFormerLegalOrRegisteredName>
    <dei:WrittenCommunications
      contextRef="C_68d7a296-416b-4b26-9eba-7df8e31b2706"
      id="F_2ee0f0b1-c4b9-48c6-9c65-dd42eed21a9e">false</dei:WrittenCommunications>
    <dei:SolicitingMaterial
      contextRef="C_68d7a296-416b-4b26-9eba-7df8e31b2706"
      id="F_ef78abbf-4898-4a2b-bfa1-535e2bf5a24a">false</dei:SolicitingMaterial>
    <dei:PreCommencementTenderOffer
      contextRef="C_68d7a296-416b-4b26-9eba-7df8e31b2706"
      id="F_b6c2e284-1697-4e22-94e1-60c39384c311">false</dei:PreCommencementTenderOffer>
    <dei:PreCommencementIssuerTenderOffer
      contextRef="C_68d7a296-416b-4b26-9eba-7df8e31b2706"
      id="F_9cfe7127-f743-45e1-b2bf-4403d52f6923">false</dei:PreCommencementIssuerTenderOffer>
    <dei:Security12bTitle
      contextRef="C_68d7a296-416b-4b26-9eba-7df8e31b2706"
      id="F_c94a49e3-4811-4bab-8929-198e577a6d1d">Common Stock, $0.01 par value</dei:Security12bTitle>
    <dei:TradingSymbol
      contextRef="C_68d7a296-416b-4b26-9eba-7df8e31b2706"
      id="F_3cfcff36-76cb-4a3d-819c-39714b9b8f26">FBIZ</dei:TradingSymbol>
    <dei:SecurityExchangeName
      contextRef="C_68d7a296-416b-4b26-9eba-7df8e31b2706"
      id="F_42898e1b-f015-43be-93fc-22575e6d85da">NASDAQ</dei:SecurityExchangeName>
    <dei:EntityEmergingGrowthCompany
      contextRef="C_68d7a296-416b-4b26-9eba-7df8e31b2706"
      id="F_215975ce-5453-4708-9926-920e9b40be52">false</dei:EntityEmergingGrowthCompany>
</xbrl>
